# this ia sample plugin
$AWX_PLUGIN = "Web Plugins...";

# list of Exported menu-functions
$AWX_EXPORT = "Convert2URL_DE|In URL (.de) konvertieren...";
$AWX_EXPORT = "Convert2URL_COM|In URL (.com) konvertieren...";
$AWX_EXPORT = "Convert2URL_NET|In URL (.net) konvertieren...";
$AWX_EXPORT = "Convert2URL_ORG|In URL (.org) konvertieren...";
$AWX_SEPARATOR = "------------------------------------------";
$AWX_EXPORT = "AsciiToHtml|ASCII to HTML...";

sub Convert2URL {
	my $a = "@_[0]";
	$a =~ s/ /%20/g;
	return sprintf "http://www.%s.%s", $a, "@_[1]";
}

sub Convert2URL_DE {
	return Convert2URL("@_", "de");
}

sub Convert2URL_COM {
	return Convert2URL("@_", "com");
}

sub Convert2URL_NET {
	return Convert2URL("@_", "net");
}

sub Convert2URL_ORG {
	return Convert2URL("@_", "org");
}

sub AsciiToHtml {
	my $a = "@_";
	my %replace =	(
		'' => '&auml;', 
		'' => '&ouml;', 
		'' => '&uuml;',
		'' => '&Auml;',
		'' => '&Ouml;',
		'' => '&Uuml;',
		'' => '&szlig;' 
	);
	$a =~ s/([])/$replace{$1}/g;
	return $a
}


# Konvertierung von Umlauten und Sonderzeichen 
#
# '"' => '&quot;'    # Anfhrungszeichen
# '&' => '&amp;'     # Ampersand
# '<' => '&lt;'      # "kleiner als" Zeichen
# '>' => '&gt;'      # "grsser als" Zeichen
# ' ' => '&nbsp;'    # Leerzeichen
# '' => '&iexcl;'   # invertiertes Ausrufezeichen
# '' => '&cent;'    # Cent Zeichen
# '' => '&pound;'   # Pfund Sterling
# '' => '&curren;'  # Standart Courser
# '' => '&yen;'     # Yen Zeichen
# '' => '&brvbar;'  # Gebrochener Strich
# '' => '&sect;'    # Paragraphen Zeichen
# '' => '&uml;'     # Umlaut Punkte
# '' => '&copy;'    # Copyright
# '' => '&laquo;'   # Zweifache Anfhrungszeichen
# '' => '&not;'     # Falsch Zeichen
# '' => '&shy;'     # Kleiner Gedankenstrich
# '' => '&reg;'     # Registriertes Warenzeichen
# '' => '&macr;'    # Makron Akzent
# '' => '&deg;'     # Grad Zeichen
# '' => '&plusmn;'  # Plus / Minus
# '' => '&sup2;'    # "hoch 2"
# '' => '&sup3;'    # "hoch 3"
# '' => '&acute;'   # Akzent
# '' => '&micro;'   # Micro Zeichen
# '' => '&para;'    # Paragraph Zeichen
# '' => '&middot;'  # Mittel Punkt
# '' => '&cedil;'   # Cedille
# '' => '&sup1;'    # "hoch eins"
# '' => '&raquo;'   # Zweifaches Anfhrungszeichen rechts
# '' => '&frac14;'  # ein viertel
# '' => '&frac12;'  # ein halb
# '' => '&frac34;'  # drei viertel
# '' => '&iquest;'  # invertiertes Fragezeichen
# '' => '&Agrave;'  # Grosses A, grave Akzent
# '' => '&Aacute;'  # Grosses A, acute Akzent
# '' => '&Acirc;'   # Grosses A, circumflex Akzent
# '' => '&Atilde;'  # Grosses A, tilde
# '' => '&Auml;'    # Grosses A, dieresis oder Umlaut
# '' => '&Aring;'   # Grosses A, ring
# '' => '&AElig;'   # Grosses AE
# '' => '&Ccedil;'  # Grosses C, cedilla
# '' => '&Egrave;'  # Grosses E, grave Akzent
# '' => '&Eacute;'  # Grosses E, acute Akzent
# '' => '&Ecirc;'   # Grosses E, circumflex Akzent
# '' => '&Euml;'    # Grosses E, dieresis oder Umlaut
# '' => '&Igrave;'  # Grosses I, grave Akzent
# '' => '&Iacute;'  # Grosses I, acute Akzent
# '' => '&Icirc;'   # Grosses I, circumflex Akzent
# '' => '&Iuml;'    # Grosses I, dieresis oder Umlaut
# '' => '&ETH;'     # Grosses Eth, Islndisch
# '' => '&Ntilde;'  # Grosses N, tilde
# '' => '&Ograve;'  # Grosses O, grave Akzent
# '' => '&Oacute;'  # Grosses O, acute Akzent
# '' => '&Ocirc;'   # Grosses O, circumflex Akzent
# '' => '&Otilde;'  # Grosses O, tilde
# '' => '&Ouml;'    # Grosses O, dieresis oder Umlaut
# '' => '&times;'   # Malzeichen
# '' => '&Oslash;'  # Grosses O, skandinavisch
# '' => '&Ugrave;'  # Grosses U, grave Akzent
# '' => '&Uacute;'  # Grosses U, acute Akzent
# '' => '&Ucirc;'   # Grosses U, circumflex Akzent
# '' => '&Uuml;'    # Grosses U, dieresis oder Umlaut
# '' => '&Yacute;'  # Grosses Y, acute Akzent
# '' => '&THORN;'   # Grosses THORN, islndisch
# '' => '&szlig;'   # kleines Scharf S
# '' => '&divide;'  # Geteilt Zeichen

